%define	desktop_vendor 	endur
%define name  		streamtuner-local
%define main		streamtuner
%define version 	0.4.0
%define release		1
%define prefix		/usr


Summary: A stream directory browser - streamtuner - plugin.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://streamtuner.sourceforge.net
Source: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/Internet
Requires: streamtuner >= 0.12, libid3tag >= 0.15, libvorbis >= 1.0
BuildRequires: streamtuner >= 0.12, libid3tag-devel >= 0.15, libvorbis-devel >= 1.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
Streamtuner-local is a plugin for streamtuner. This one
provides access to the local mp3 repository.

%prep
%setup -q
PREFIX=%{prefix}               \
SYSTEM_CFLAGS="$RPM_OPT_FLAGS" \
DEBUG=no ./configure --disable-vc

%build
make %{?_smp_mflags} all 

%install
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/%{main}/plugins/*
%doc ChangeLog COPYING INSTALL NEWS


%changelog
* Fri Apr 02 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.4
- Vorbis comment editing disabled (wrong libvorbis libary name)

* Wed Feb 18 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.3.0
- lbid3tag, libvorbis added to Requires and BuildRequires
- Locale stuff added

* Sun Nov 23 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.2.1
- Rebuild for Fedora Core 1

* Sun Dec 29 2002 Matthias Haase <matthias_haase@bennewitz.com>
- Initial build for RedHat 8.0
